ePayment PSP API changelog
View as Markdown (opens in a new tab)
Install AI tools
Give your assistant up-to-date guidance for our APIs, with our plugin or without it.
The plugin is still under development. See the AI tools page for details.
- Claude Code
- Cursor
- Codex
- Without installing
Run both commands, in order.
claude plugin marketplace add vippsas/agent-toolkit
claude plugin install vipps-developer@agent-toolkit
Open Settings, then Plugins.
Add vippsas/agent-toolkit as a plugin marketplace, then install the "vipps-developer" plugin.
For the app, add the marketplace "vippsas/agent-toolkit" and then install "vipps-developer". For the CLI, run the following commands.
codex plugin marketplace add vippsas/agent-toolkit
codex plugin add vipps-developer@agent-toolkit
Paste this into any assistant.
Read https://github.com/vippsas/agent-toolkit/blob/main/plugins/vipps-developer/README.md for Vipps MobilePay integration guidance.
For troubleshooting, see the full instructions.
Note
This page covers ePayment API changes that are specific to PSP integrations. There may be additional changes that apply to all ePayment API integrations — see the ePayment API changelog.
June 2026​
softDeclineCompletedRedirectUrlis now a required field in the PSP card callback request. PSPs implementing the card passthrough callback must include this field.
May 2026​
- Added the PSP card callback endpoint specification for PSP card passthrough payments. Vipps MobilePay POSTs card details to your
cardCallbackUrl; your server must respond with the authorization result within 20 seconds.- The request body (
CardCallbackRequest) includespspReference,authorizationAttemptId,merchantSerialNumber,amount,softDeclineCompletedRedirectUrl, andcardInfo. cardInfocontainsmaskedCardNumber,cardType,cardIssuedInCountryCode,cardDataType, and either anetworkTokenobject orencryptedPanstring depending oncardDataType.- The response (
CardCallbackResponse) must have astatusofRESERVE,SOFT_DECLINE, orFAIL, with corresponding required fields (networkTransactionReference,softDeclineUrl, orerrorCode/errorMessage). - Callback requests are authenticated using HMAC-SHA256 signed with the PSP's
client_secret. Verify theAuthorization,X-Vipps-Authorization,x-ms-date, andx-ms-content-sha256headers.
- The request body (
March 2026​
- Added PSP support via the new
CARD_PASSTHROUGHpayment method type. PSPs can now create payments where the user's card token is sent to a PSP-controlled callback URL for processing. This requires:paymentMethod.typeset toCARD_PASSTHROUGH- A new
cardPassthroughobject in the create payment request body, specifying the callback URL, allowed card types, and optionally a public encryption key ID for receiving encrypted PANs - The
Psp-Idheader on all requests - See ePayment PSP API guide for details.